body {
    font-family: Arial, sans-serif;
    background-color: #f0f8ff;
    direction: rtl;
    text-align: center;
    margin: 0;
    padding: 0;
  }

  body p {
    font-size: 18px;
    font-weight: bold;
  }
  
  .container {
    max-width: 800px;
    margin: 0 auto;
    padding: 20px;
    background-color: #fff;
    border-radius: 10px;
    box-shadow: 0 0 15px rgba(0, 0, 0, 0.1);
  }
  
  .header {
    display: flex;
    justify-content: space-between;
    align-items: center;
  }
  
  .modal-dialog {
    max-width: 400px;
    margin: 1.75rem auto;
  }
  
  #usernameDisplay {
    font-size: 25px;
    font-weight: bold;
    padding-left: 10px;
    color:#4CAF50;
  }
  
  .trophy {
    width: 50px;
  }

  #logoutButton {
    font-size: 10px;
    padding: 5px 10px;
  }

  textarea, input {
    direction: ltr;
    text-align: left;
  }

  .container {
    max-width: 800px;
    margin: 0 auto;
    padding: 20px;
    background-color: #fff;
    border-radius: 10px;
    box-shadow: 0 0 15px rgba(0, 0, 0, 0.1);
    position: relative; /* إضافة position: relative لتحديد موقع الأزرار بالنسبة للحاوية */
  }

  .go-back-container {
    display: flex;
    justify-content: flex-start;
    margin-bottom: 10px;
    display: none;
    width: fit-content;
  }
  
  .go-back-container .button {
    display: flex;
    align-items: center;
    padding: 10px;
    background-color: #f3c175;
    color: #333;
    border: none;
    border-radius: 8px;
    font-size: 16px;
    cursor: pointer;
  }
  
  .go-back-container .button i {
    margin-right: 8px;
    font-size: 20px;
  }

  .to-next-question {
    display: none;
    justify-content: flex-start;
    margin-bottom: 10px;
    flex-direction: column;
    gap: 10px;
    padding-left: 10px;
    display: none;
    width: fit-content;
  }
  
  .to-next-question .button {
    display: flex;
    align-items: center;
    padding: 10px;
    background-color: #4CAF50;
    color: #fff;
    border: none;
    border-radius: 8px;
    font-size: 16px;
    cursor: pointer;
  }
  
  .to-next-question .button i {
    margin-right: 8px;
    font-size: 20px;
  }
  
  #points {
    font-size: 20px;
    color: #555;
  }
  
  h1 {
    color: #333;
  }
  
  .box {
    display: flex;
    justify-content: space-around;
    margin: 20px 0;
    padding: 10px;
  }
  
  .draggable {
    padding: 10px 20px;
    background-color: #4caf50;
    color: white;
    border-radius: 5px;
    cursor: grab;
  }
  
  .dropzone {
    border: 2px dashed #333;
    border-radius: 5px;
    width: 100px;
    height: 50px;
    display: flex;
    align-items: center;
    justify-content: center;
    font-size: 14px;
    color: #999;
    background-color: #f9f9f9;
  }
  
  .dropzone.filled {
    background-color: #e0f7fa;
    color: #00796b;
    font-weight: bold;
  }
  
  .button {
    margin: 10px;
    padding: 10px 15px;
    background-color: #2196f3;
    color: white;
    border: none;
    border-radius: 5px;
    cursor: pointer;
  }

  .buttons-container {
    display: flex;
    justify-content: center;
    gap: 10px;
  }
  
  button {
    padding: 10px 20px;
    background-color: #4CAF50;
    color: white;
    border: none;
    border-radius: 5px;
    cursor: pointer;
  }
  
  button:hover {
    background-color: #00796b;
  }
  
  .underline {
    display: inline-block;
    border-bottom: 2px solid #000;  /* تحديد سماكة ولون الخط */
    padding-bottom: 5px;  /* مسافة بين النص والخط */
  }

  .help-button {
    background-color: yellow;
    color: black;
    border: none;
    border-radius: 5px;
    cursor: pointer;
    font-size: 10px;
    padding: 5px 10px;
  }
  
  footer {
    background-color: #343a40; /* لون داكن */
    color: #333;
    padding: 20px 0;
    width: 100%;
}

footer a {
    color: #00796b; /* لون أفتح للنص */
    font-size: 1.2rem; /* تكبير النص */
    text-decoration: none; /* إزالة الخط السفلي */
}

footer p {
  font-weight: bold;
}

footer a:hover {
    color: #adb5bd; /* لون مختلف عند التمرير */
}

.disabled {
  background-color: #6c757d !important;
  border-color: #6c757d !important;
  cursor: not-allowed;
}
